diff -uNr 3.5/cnews/AlwaysAll/V3.6_Changes unipops-3.6/cnews/AlwaysAll/V3.6_Changes
--- 3.5/cnews/AlwaysAll/V3.6_Changes	1969-12-31 17:00:00.000000000 -0700
+++ unipops-3.6/cnews/AlwaysAll/V3.6_Changes	2008-12-29 14:36:37.000000000 -0700
@@ -0,0 +1,24 @@
+The following documents changes to UniPOPS since NRAO's version 3.5.
+
+
+I.  Numerous internal changes
+	- added byte-order sensitivity to input sdd files
+	- added byte order sensitivity to the parser
+	- removed all Solaris and sunmath library dependencies
+	- replaced Solaris libs with equivalent C functions
+	- removed support for SunView
+	- error returns are typically int*4, not shorts
+	- string math is done with equivalencies now, not implicitly
+	- cleaner make system and packaging
+	- eliminated need for a f77-capable preprocessor
+
+    This allows UniPOPS to be dramatically more portable.  The next 
+    incremental release will support 3 architectures (Intel, PowerPC, 
+    and Sparc) and 5 OS's (Solaris, Linux, Darwin/OSX, FreeBSD and 
+    NetBSD).
+
+
+II. A few sticky points remain.  EXPLAIN remains broken for non-Solaris 
+    architectures, though HELP remains available.  There is still no 
+    workable color support for generic X11 platforms.  
+
diff -uNr 3.5/explain/source/Makefile unipops-3.6/explain/source/Makefile
--- 3.5/explain/source/Makefile	2000-03-16 11:31:11.000000000 -0700
+++ unipops-3.6/explain/source/Makefile	2008-12-29 14:36:49.000000000 -0700
@@ -4,12 +4,12 @@
 FC = $(FCMP)
 FDEBOROPT = -g
 FLOATOPT = 
-FILLIB = -libmil
+FILLIB = 
 FFLOAT =  $(FDEBOROPT) $(FLOATOPT) $(FILLIB)
-FFLAGS = -u -i2 $(FFLOAT)
+FFLAGS = $(FFLOAT)
 LFLAGS = $(FFLOAT)
 LLIBS  = -lm
-AR = /usr/5bin/ar
+AR = /usr/bin/ar
 #
 # Macros which define compilation and linking parameters
 # FDEBOROPT (debug or optimize flag) = 'g' as a default for using the debugger 
@@ -25,7 +25,7 @@
 
 clean:
 	rm -f $(BINLIST)
-	-sccs clean
+#	-sccs clean
 	rm -f *.o *.a
 
 explain: explain.o explainlib.a 
diff -uNr 3.5/explain/source/explain.f unipops-3.6/explain/source/explain.f
--- 3.5/explain/source/explain.f	2000-03-16 11:31:11.000000000 -0700
+++ unipops-3.6/explain/source/explain.f	2008-12-29 14:36:49.000000000 -0700
@@ -9,8 +9,8 @@
       character*64 infofile, topic, uppercase, outname
       character*80 string
       integer*4 iargc, findminmatch, stack(32767), lnblnk, loc, top,
-     .		MAXSTCK, system, findchar, long, newloc, getpid
-      integer*2 ISTDOUT, ISTDERR, ISTDIN, OUTFILE, INFILE, irtn
+     .		MAXSTCK, system, findchar, newloc, getpid, irtn
+      integer*2 ISTDOUT, ISTDERR, ISTDIN, OUTFILE, INFILE
       logical preproc, resetproc
       character*8 spid
 c
@@ -23,24 +23,24 @@
 c
       include 'explain.inc'
 c
-      open(unit=ISTDERR, form="print")
-      open(unit=ISTDOUT, form="print")
+      open(unit=ISTDERR, form='formatted')
+      open(unit=ISTDOUT, form='formatted')
 c
       if (iargc() .lt. 1) then
 	write(ISTDERR,*) 'Syntax: info_file  [topic]'
-	call exit(long(1))
+	call exit(int(1))
       endif
 c
-      call getarg(long(1), infofile)
+      call getarg(int(1), infofile)
       if (iargc() .ge. 2) then
-	call getarg(long(2), topic)
+	call getarg(int(2), topic)
       else
 	topic = 'HELP'
       endif
 c     Check and get arguments
 c
-      write(spid, fmt='(i8)') getpid()
-      irtn = system("echo " // spid // " >> $INFANTS")
+c      write(spid, fmt='(i8)') getpid()
+c      irtn = system("echo " // spid // " >> $INFANTS")
       call readinfo(infofile)
 c
       loc = findchar(nodes, next, start, '.')
@@ -57,7 +57,7 @@
 	    newloc = findchar(nodes, next, start, '.')
       	    call push(stack, top, MAXSTCK, newloc)
 	else if (uppercase(topic) .eq. 'DONE')then
-	    call exit(long(0))
+	    call exit(int(0))
 	else if (topic .eq. '.') then
 	     topic = nodes(loc)
 	     newloc = loc
@@ -116,7 +116,7 @@
 	write(OUTFILE,*) ' '
 	call listedges(nodes, dest, link, adj(loc), '',OUTFILE)
 	write(OUTFILE,*) ' '
-	call flush(long(OUTFILE))
+	call flush(int(OUTFILE))
 	irtn = system('more -d ' // outname)
 c
 1091 	write(ISTDOUT,fmt='(1x,2a,/,a,$)') 'Enter topic (or: HELP for help,',
diff -uNr 3.5/explain/source/explain.inc unipops-3.6/explain/source/explain.inc
--- 3.5/explain/source/explain.inc	2000-03-16 11:31:11.000000000 -0700
+++ unipops-3.6/explain/source/explain.inc	2008-12-29 14:36:49.000000000 -0700
@@ -15,7 +15,7 @@
       integer*4 next(NUMNODES), adj(NUMNODES)
       integer*4 dest(NUMDEST), link(NUMDEST), start, availn, availe
 c
-      common/explain/next, adj, dest, link, start, availn, availe,
+      common/explainblock/next, adj, dest, link, start, availn, availe,
      .		     nodes,filenames
 c
 c     NUMNODES = number of nodes in graph
diff -uNr 3.5/explain/source/explainlib.f unipops-3.6/explain/source/explainlib.f
--- 3.5/explain/source/explainlib.f	2000-03-16 11:31:12.000000000 -0700
+++ unipops-3.6/explain/source/explainlib.f	2008-12-29 14:36:49.000000000 -0700
@@ -86,7 +86,7 @@
       character*(*) info(*), item
       integer*4 link(*), start
 c
-      integer*4 ptr, NULL, ilen, lnblnk
+      integer*4 ptr, NULL, ilen
       character*64 uppercase, item1
 c
       parameter (NULL = 0)
@@ -447,8 +447,8 @@
 c
       include 'explain.inc'
 c
-      integer*2 IFILE, ierr, ISTDERR
-      integer*4 lnblnk, long
+      integer*4 IFILE, ISTDERR
+      integer*4 ierr
 c
       parameter (IFILE = 10)
       parameter (ISTDERR = 0)
@@ -457,19 +457,19 @@
      .     iostat = ierr)
       if (ierr .ne. 0) then
 	write(ISTDERR,*) 'Cannot open input file: ', iofile(1:lnblnk(iofile))
-	call exit(long(1))
+	call exit(int(1))
       endif
 c
       rewind(IFILE,iostat=ierr)
       if (ierr .ne. 0) then
 	write(ISTDERR,*) 'Cannot rewind input file: ', iofile(1:lnblnk(iofile))
-	call exit(long(1))
+	call exit(int(1))
       endif
 c
       read(IFILE,iostat=ierr) start, availn, availe
       if (ierr .ne. 0) then
 	write(ISTDERR,*) 'Cannot read from input file: ', iofile(1:lnblnk(iofile))
-	call exit(long(1))
+	call exit(int(1))
       endif
       read(IFILE) nodes
       read(IFILE) filenames
@@ -481,7 +481,7 @@
       close(IFILE,iostat=ierr)
       if (ierr .ne. 0) then
 	write(ISTDERR,*) 'Cannot close input file: ', iofile(1:lnblnk(iofile))
-	call exit(long(1))
+	call exit(int(1))
       endif
 c
       return
@@ -499,8 +499,8 @@
 c
       include 'explain.inc'
 c
-      integer*2 IFILE, ierr, ISTDERR
-      integer*4 lnblnk, long
+      integer*2 IFILE, ISTDERR
+      integer*4 ierr
 c
       parameter (IFILE = 10)
       parameter (ISTDERR = 10)
@@ -509,19 +509,19 @@
      .     form='unformatted', iostat = ierr)
       if (ierr .ne. 0) then
 	write(ISTDERR,*) 'Cannot open output file: ', iofile(1:lnblnk(iofile))
-	call exit(long(1))
+	call exit(int(1))
       endif
 c
       rewind(IFILE,iostat=ierr)
       if (ierr .ne. 0) then
 	write(ISTDERR,*) 'Cannot rewind output file: ', iofile(1:lnblnk(iofile))
-	call exit(long(1))
+	call exit(int(1))
       endif
 c
       write(IFILE,iostat=ierr) start, availn, availe
       if (ierr .ne. 0) then
 	write(ISTDERR,*) 'Cannot write to output file: ', iofile(1:lnblnk(iofile))
-	call exit(long(1))
+	call exit(int(1))
       endif
       write(IFILE) nodes
       write(IFILE) filenames
@@ -533,7 +533,7 @@
       close(IFILE,iostat=ierr)
       if (ierr .ne. 0) then
 	write(ISTDERR,*) 'Cannot close output file: ', iofile(1:lnblnk(iofile))
-	call exit(long(1))
+	call exit(int(1))
       endif
 c
       return
@@ -551,7 +551,7 @@
 c
       include 'explain.inc'
 c
-      integer*4 newloc, findchar, lnblnk
+      integer*4 newloc, findchar
       integer*2 ISTDERR
 c
       parameter (ISTDERR = 0)
@@ -588,7 +588,7 @@
 c
       include 'explain.inc'
 c
-      integer*4 loca, locb, findminmatch, new, findedge, lnblnk
+      integer*4 loca, locb, findminmatch, new, findedge
       integer*2 ISTDERR
 c
       parameter (ISTDERR = 0)
@@ -637,7 +637,7 @@
       include 'explain.inc'
 c
       integer*4 loc, findminmatch, ptr, beg,
-     .	        end, lnblnk
+     .	        end
       integer*2 ISTDERR
       logical deletei4, anything, deletechar
 c
@@ -693,7 +693,7 @@
 c
       include 'explain.inc'
 c
-      integer*4 loca, locb, findminmatch, findedge, lnblnk
+      integer*4 loca, locb, findminmatch, findedge
       integer*2 ISTDERR
       logical deletei4
 c
@@ -892,7 +892,7 @@
 c
       include 'explain.inc'
 c
-      integer*4 ptr, lnblnk
+      integer*4 ptr
 c
       ptr = start
 c
@@ -1001,7 +1001,7 @@
       character*(*) lc
 c
       character*64 uc
-      integer*4 lnblnk, ic1, i
+      integer*4 ic1, i
 c
       uc = lc
 c
@@ -1026,7 +1026,7 @@
 c
       character*(*) stringin, stringout
 c
-      integer*4 lnblnk, i
+      integer*4 i
 c
       stringout = stringin
       if (lnblnk(stringin) .eq. 0) return
@@ -1205,12 +1205,12 @@
       character*(*) string, topic
       logical reset
 c
-      integer*4 lnblnk, i, i1, ilen, i2, i3, ii1, ilennew, 
+      integer*4 i, i1, ilen, i2, i3, ii1, ilennew, 
      .		istrt, istp
 c
       character*80 names(100), anything(100), parsed
-      logical topicok, ifon, maxnames
-      integer numnames
+      logical topicok, ifon
+      integer numnames, maxnames
 c     NAMES/ANYTHING = arrays containing the contents of 'def' lines
 c     NUMNAMES = number of 'def' lines so far
 c     MAXNAMES = maximum number of #def's
@@ -1271,7 +1271,7 @@
 c
 		ifon = .true.
 		
-		if (index(parsed(2:),' ' // topic(1:lnblnk(topic)) // 
+		if (index(parsed(2:),' ' // topic(1:72) // 
      .				' ') .ne. 0) then
 		   topicok = .true.
 		else
@@ -1283,7 +1283,7 @@
 c		We can try to process an #ifnot -- ignore all embedded #if's.
 c
 		ifon = .true.
-		if (index(parsed(2:),' ' // topic(1:lnblnk(topic)) // 
+		if (index(parsed(2:),' ' // topic(1:72) // 
      .				' ') .eq. 0) then
 		   topicok = .true.
 		else
diff -uNr 3.5/explain/source/explainmap.f unipops-3.6/explain/source/explainmap.f
--- 3.5/explain/source/explainmap.f	2000-03-16 11:31:26.000000000 -0700
+++ unipops-3.6/explain/source/explainmap.f	2008-12-29 14:36:50.000000000 -0700
@@ -7,21 +7,21 @@
 c     Syntax:  info_file
 c
       character*64 infofile
-      integer*4 iargc, long, lnblnk, loc
+      integer*4 iargc, lnblnk, loc
 c
       include 'explainmap.inc'
 c
       integer*4 findchar
 c
-      open(unit=ISTDERR, form="print")
-      open(unit=ISTDOUT, form="print")
+      open(unit=ISTDERR, form="formatted")
+      open(unit=ISTDOUT, form="formatted")
 c
       if (iargc() .lt. 1) then
 	write(ISTDERR,*) 'Syntax: explainmap info_file'
-	call exit(long(1))
+	call exit(int(1))
       endif
 c		Get the info file and open it
-      call getarg(long(1), infofile)
+      call getarg(1, infofile)
       call readinfo(infofile)
 c
       call initarrays
@@ -44,8 +44,8 @@
          loc = next(loc)
  10   continue
 c
- 1000 format(x,'Statistics:',/,4x,'Node Name',19x,'# Hard',x,'# Soft')
- 1010 format(x,a32,x,2i4)
+ 1000 format(1x,'Statistics:',/,4x,'Node Name',19x,'# Hard',1x,'# Soft')
+ 1010 format(1x,a32,1x,2i4)
 c
       stop
       end
diff -uNr 3.5/explain/source/filecheck.f unipops-3.6/explain/source/filecheck.f
--- 3.5/explain/source/filecheck.f	2000-03-16 11:31:27.000000000 -0700
+++ unipops-3.6/explain/source/filecheck.f	2008-12-29 14:36:50.000000000 -0700
@@ -8,19 +8,19 @@
 c
       character*64 infofile
       integer*4 ISTDOUT, ISTDERR
-      integer*4 iargc, lnblnk, long, loc, access
+      integer*4 iargc, loc, access
 c
       parameter (ISTDERR = 0)
       parameter (ISTDOUT = 6)
 c
-      open(unit=ISTDOUT, form="print")
+      open(unit=ISTDOUT, form="formatted")
 c
       if (iargc() .lt. 1) then
          write(ISTDERR,*) 'Syntax: filecheck info_file'
-         call exit(long(1))
+         call exit(int(1))
       endif
 c			get the info file and open it
-      call getarg(long(1), infofile)
+      call getarg(int(1), infofile)
       call readinfo(infofile)
 c			start at start and make sure each file can be accessed
       write(ISTDOUT,*) ' '
diff -uNr 3.5/explain/source/initexplain.f unipops-3.6/explain/source/initexplain.f
--- 3.5/explain/source/initexplain.f	2000-03-16 11:31:15.000000000 -0700
+++ unipops-3.6/explain/source/initexplain.f	2008-12-29 14:36:49.000000000 -0700
@@ -13,7 +13,7 @@
       parameter (ISTDOUT = 6)
       parameter (ISTDIN = 5)
 c
-      open(unit=ISTDOUT, form="print")
+      open(unit=ISTDOUT, form="formatted")
 c
       write(ISTDOUT,*) ' '
       write(ISTDOUT,*) 'Creates an empty/initilaized explain ',
diff -uNr 3.5/explain/source/manonepage.f unipops-3.6/explain/source/manonepage.f
--- 3.5/explain/source/manonepage.f	2000-03-16 11:31:24.000000000 -0700
+++ unipops-3.6/explain/source/manonepage.f	2008-12-29 14:36:50.000000000 -0700
@@ -14,9 +14,9 @@
 c
       character*64 infofile, topic, ppdef
       character*80 string, stack(4096)
-      integer*4 iargc, findminmatch, lnblnk, loc, long, top, ierr,
+      integer*4 iargc, findminmatch, loc, long, top, ierr,
      .		MAXSTCK, i, pagesize
-      integer*2 ISTDOUT, ISTDERR, IOUNIT
+      integer*4 ISTDOUT, ISTDERR, IOUNIT
       logical preproc, resetproc
 c
       parameter (ISTDOUT = 6)
@@ -29,23 +29,23 @@
 c
       include 'explain.inc'
 c
-      open(unit=ISTDERR, form="print")
-      open(unit=ISTDOUT, form="print")
+      open(unit=ISTDERR, form="formatted")
+      open(unit=ISTDOUT, form="formatted")
 c
       if (iargc() .lt. 3) then
 	write(ISTDERR,*) 'Syntax: info_file  topic pp_def'
-	call exit(long(1))
+	call exit(int(1))
       endif
 c
-      call getarg(long(1), infofile)
-      call getarg(long(2), topic)
-      call getarg(long(3), ppdef)
+      call getarg(int(1), infofile)
+      call getarg(int(2), topic)
+      call getarg(int(3), ppdef)
       if (iargc() .ge. 4) then
-	call getarg(long(4), string)
+	call getarg(int(4), string)
 	read(string,iostat=ierr,fmt='(i10)') pagesize
 	if (ierr .ne. 0 .or. pagesize .le. 0) then
 	   write(ISTDERR,*) 'Syntax: info_file  topic  pp_def [pagesize]'
-	   call exit(long(1))
+	   call exit(int(1))
         endif
       else
 	pagesize = 60
@@ -58,7 +58,7 @@
 c
       if (loc .eq. NULL) then
 	  write(ISTDERR,*) 'No topic with the name: ', topic(1:lnblnk(topic))
-	  call exit(long(1))
+	  call exit(int(1))
       endif
 c     Checks that the desired topic exists
 c
@@ -102,7 +102,7 @@
 c     List out the contents of the stack
 c
 c
-      call exit(long(0))
+      call exit(int(0))
 c
       end
 c
diff -uNr 3.5/explain/source/manpages.f unipops-3.6/explain/source/manpages.f
--- 3.5/explain/source/manpages.f	2000-03-16 11:31:22.000000000 -0700
+++ unipops-3.6/explain/source/manpages.f	2008-12-29 14:36:50.000000000 -0700
@@ -14,11 +14,11 @@
 c
       character*64 infofile, topic, topiclist(1024), ppdef
       character*80 string, stack(4096)
-      integer*4 iargc, ierr, place, pagesize, top, findminmatch, lnblnk,
+      integer*4 iargc, ierr, place, pagesize, top, findminmatch,
      .		loc, MAXSTCK, locother, i, ptr, numedges, available, 
-     .		docsize, NFIELD, BORDER, lnblnk, numtopics, k, leftover,
+     .		docsize, NFIELD, BORDER, numtopics, k, leftover,
      .		nextplace, skip, findchar, long
-      integer*2 ISTDOUT, ISTDERR, IOUNIT
+      integer*4 ISTDOUT, ISTDERR, IOUNIT
       logical preproc, resetproc
 c
       parameter (ISTDOUT = 6)
@@ -37,23 +37,23 @@
 c
       include 'explain.inc'
 c
-      open(unit=ISTDOUT, form="print")
-      open(unit=ISTDERR, form="print")
+      open(unit=ISTDOUT, form="formatted")
+      open(unit=ISTDERR, form="formatted")
 c
       if (iargc() .lt. 3) then
 	write(ISTDERR,*) 'Syntax: info_file  topic  pp_def [pagesize]'
-	call exit(long(1))
+	call exit(int(1))
       endif
 c
-      call getarg(long(1), infofile)
-      call getarg(long(2), topic)
-      call getarg(long(3), ppdef)
+      call getarg(int(1), infofile)
+      call getarg(int(2), topic)
+      call getarg(int(3), ppdef)
       if (iargc() .ge. 4) then
-	call getarg(long(4), string)
+	call getarg(int(4), string)
 	read(string,iostat=ierr,fmt='(i10)') pagesize
 	if (ierr .ne. 0 .or. pagesize .le. 0) then
 	   write(ISTDERR,*) 'Syntax: info_file  topic  pp_def [pagesize]'
-	   call exit(long(1))
+	   call exit(int(1))
         endif
       else
 	pagesize = 60
@@ -68,7 +68,7 @@
       loc = findminmatch(nodes, next, start, topic, ISTDERR)
       if (loc .eq. NULL) then
 	  write(ISTDERR,*) 'No topic with the name: ', topic(1:lnblnk(topic))
-	  call exit(long(1))
+	  call exit(int(1))
       endif
 c     Checks that the desired topic exists
 c
@@ -98,7 +98,7 @@
 c
         if (loc .eq. NULL) then
 	  write(ISTDERR,*) 'No topic with the name: ', topic(1:lnblnk(topic))
-	  call exit(long(1))
+	  call exit(int(1))
         endif
 c       Checks that the desired topic exists
 c
@@ -219,7 +219,7 @@
 c
 100	continue
 c
-      call exit(long(0))
+      call exit(int(0))
 c
       end
 c
diff -uNr 3.5/explain/source/manrange.f unipops-3.6/explain/source/manrange.f
--- 3.5/explain/source/manrange.f	2000-03-16 11:31:24.000000000 -0700
+++ unipops-3.6/explain/source/manrange.f	2008-12-29 14:36:50.000000000 -0700
@@ -19,9 +19,9 @@
 c
       character*64 infofile, topic, topiclist(1024), ppdef, first, last
       character*80 string, stack(4096)
-      integer*4 iargc, ierr, place, pagesize, top, findminmatch, lnblnk,
+      integer*4 iargc, ierr, place, pagesize, top, findminmatch,
      .		loc, MAXSTCK, locother, i, ptr, numedges, available, 
-     .		docsize, NFIELD, BORDER, lnblnk, numtopics, k, leftover,
+     .		docsize, NFIELD, BORDER, numtopics, k, leftover,
      .		nextplace, skip, findchar, long, i1, BOTBORDER, i2
       integer*2 ISTDOUT, ISTDERR, IOUNIT
       logical preproc, resetproc
@@ -44,29 +44,29 @@
 c
       include 'explain.inc'
 c
-      open(unit=ISTDOUT, form="print")
-      open(unit=ISTDERR, form="print")
+      open(unit=ISTDOUT)
+      open(unit=ISTDERR)
 c
       if (iargc() .lt. 5) then
 	write(ISTDERR,*) 'Syntax:info_file topic pp_def first last [pagesize]'
-	call exit(long(1))
+	call exit(1)
       endif
 c
-      call getarg(long(1), infofile)
-      call getarg(long(2), topic)
-      call getarg(long(3), ppdef)
-      call getarg(long(4), first)
-      call getarg(long(5), last)
+      call getarg(1, infofile)
+      call getarg(2, topic)
+      call getarg(3, ppdef)
+      call getarg(4, first)
+      call getarg(5, last)
       if (llt(last,first)) then
 	write(ISTDERR,*) 'Syntax:info_file topic pp_def first last [pagesize]'
-	call exit(long(1))
+	call exit(1)
       endif
       if (iargc() .ge. 6) then
-	call getarg(long(6), string)
+	call getarg(6, string)
 	read(string,iostat=ierr,fmt='(i10)') pagesize
 	if (ierr .ne. 0 .or. pagesize .le. 0) then
 	   write(ISTDERR,*) 'Syntax:info_file topic pp_def first last [pagesize]'
-	   call exit(long(1))
+	   call exit(1)
         endif
       else
 	pagesize = 60
@@ -81,7 +81,7 @@
       loc = findminmatch(nodes, next, start, topic, ISTDERR)
       if (loc .eq. NULL) then
 	  write(ISTDERR,*) 'No topic with the name: ', topic(1:lnblnk(topic))
-	  call exit(long(1))
+	  call exit(1)
       endif
 c     Checks that the desired topic exists
 c
@@ -111,7 +111,7 @@
 c
         if (loc .eq. NULL) then
 	  write(ISTDERR,*) 'No topic with the name: ', topic(1:lnblnk(topic))
-	  call exit(long(1))
+	  call exit(1)
         endif
 c       Checks that the desired topic exists
 c
@@ -247,7 +247,7 @@
 c
 100	continue
 c
-101   call exit(long(0))
+101   call exit(0)
 c
       end
 c
diff -uNr 3.5/explain/source/mkexp.f unipops-3.6/explain/source/mkexp.f
--- 3.5/explain/source/mkexp.f	2000-03-16 11:31:16.000000000 -0700
+++ unipops-3.6/explain/source/mkexp.f	2008-12-29 14:36:50.000000000 -0700
@@ -13,13 +13,13 @@
       integer*4 ploc, findminmatch, findchar, i0, i1, i2, narg, 
      .		available, lnblnk, itemp, findedge, long, itemp2,
      .		itemp3, irtn, system, access
-      integer*2 ISTDOUT, ISTDIN
+      integer*4 ISTDOUT, ISTDIN
       logical insnodechar, delnode, insedge, deledge
 c
       parameter (ISTDOUT = 6)
       parameter (ISTDIN = 5)
 c
-      open(unit=ISTDOUT, form="print")
+      open(unit=ISTDOUT, form="formatted")
 c
       write(ISTDOUT,*) ' '
       write(ISTDOUT,fmt='(1x,a,$)') 'Enter name of information file: '
@@ -441,7 +441,7 @@
 	if (answr .eq. 'y' .or. answr .eq. 'Y') then
 	   write(ISTDOUT,*) ' '
 	   call writeinfo(file)
-	   call exit(long(0))
+	   call exit(int(0))
 	endif
 c
 c--------------------
@@ -451,7 +451,7 @@
         read(ISTDIN,fmt='(a)') answr
 	if (answr .eq. 'y' .or. answr .eq. 'Y') then
 	   write(ISTDOUT,*) ' '
-	   call exit(long(0))
+	   call exit(int(0))
 	endif
 c
 c--------------------
diff -uNr 3.5/explain/text/CookBook/ApM_Environment-Variables.text unipops-3.6/explain/text/CookBook/ApM_Environment-Variables.text
--- 3.5/explain/text/CookBook/ApM_Environment-Variables.text	2000-03-16 11:54:39.000000000 -0700
+++ unipops-3.6/explain/text/CookBook/ApM_Environment-Variables.text	2008-12-29 14:37:51.000000000 -0700
@@ -90,7 +90,7 @@
 
 PATH	   :    This gives the search path that the shell uses to find
 		commands that you type at the Unix prompt.  To use UniPOPS
-		you must include $popsdir/sunbin and $popsdir/utilities
+		you must include $popsdir/bin and $popsdir/utilities
 		some place in your path.
 
 popsproc1  :    This is the first procedure directory.  It is searched by
diff -uNr 3.5/explain/text/CookBook.text unipops-3.6/explain/text/CookBook.text
--- 3.5/explain/text/CookBook.text	2000-03-16 11:54:21.000000000 -0700
+++ unipops-3.6/explain/text/CookBook.text	2008-12-29 14:37:52.000000000 -0700
@@ -4,7 +4,7 @@
 	it as EXPLAIN files.   You can print out a copy of the Cookbook
 	by typing the following Unix commands:
 
-		cd ${popsdir}sunbin
+		cd ${popsdir}bin
 		make -f Makeman cookbook
   
 	Note: the Cookbook is about 200 pages long so keep your printer
diff -uNr 3.5/explain/text/Installation.text unipops-3.6/explain/text/Installation.text
--- 3.5/explain/text/Installation.text	2000-03-16 15:37:38.000000000 -0700
+++ unipops-3.6/explain/text/Installation.text	2008-12-29 14:37:55.000000000 -0700
@@ -207,7 +207,7 @@
    utilities: source code and scripts for useful utilities as well as,
 	    after installation, the executables for these utilities.
 
-   sunbin: the main Makefile for UniPOPS and most of the shell scripts
+   bin: the main Makefile for UniPOPS and most of the shell scripts
 	    used by the user as well as the non-utility executables.
 
    xwindows: the X11 graphics interface.
@@ -268,15 +268,15 @@
 4.1 Editing a Controlling Script.
 ---------------------------------
 
-   The master Makefile in $popsdir/sunbin is a monster.  A smaller
+   The master Makefile in $popsdir/bin is a monster.  A smaller
 shell script, makelocal, is used to control the behavior of this
 monster.  Copy makelocal to some other file name (e.g., makemysystem)
 and edit it as appropriate and as outlined below for your system.
 Type the following:
 
-   % cd $popsdir/sunbin
+   % cd $popsdir/bin
 
-   [move to the sunbin area]
+   [move to the bin area]
 
    % cp makelocal makemysystem
 
@@ -347,7 +347,7 @@
 
    With makemysystem edited, type:
 
-   % cd $popsdir/sunbin
+   % cd $popsdir/bin
    % makemysystem links
 
    [this makes sure that certain symbolic links are correct] [You will
@@ -371,7 +371,7 @@
 Maddalena, rmaddale@nrao.edu or 304-456-2207.  To compile the programs
 necessary for remote Green Bank data access, type:
 
-   % cd $popsdir/sunbin
+   % cd $popsdir/bin
    % makemysystem gball
 
     There is currently no remote access for 12-meter data so you should
@@ -387,7 +387,7 @@
 modified.  UniPOPS knowledge of printers is kept in a printers data
 base file that needs to be updated to reflect your configuration of
 printers.  You may want to modify and use the suite of "dot" files in
-the $sunbin/sys.unipops directory.
+the $bin/sys.unipops directory.
 
    The environment variables which MUST be set before using the program
 are described below.  [These are also described in Appendix M of the
@@ -443,7 +443,7 @@
    list of available printers and asked to choose one.  Setting this
    variable eliminates one question at startup.
 
-path -- must include ${popsdir}sunbin and ${popsdir}utilities.
+path -- must include ${popsdir}bin and ${popsdir}utilities.
 
    To set the environment variables in a user's account, you have a
 choice of modifying and using setup ("dot") files provided by us in the
@@ -457,7 +457,7 @@
    The $popsdir/sys.unipops/prepare.unipops shell script prepares the
 directory from which it is run for using UniPOPS.  The script creates a
 ~/.unipops file which contains the definitions of most of the required
-environment variables.  It also calls $popsdir/sunbin/mkfiles.unipops
+environment variables.  It also calls $popsdir/bin/mkfiles.unipops
 which creates the files that UniPOPS needs in order to run (memory
 files, and empty data and log files).
 
@@ -540,7 +540,7 @@
 
 	setenv popsprinter postscript
 	# Choices are:  whatever is the name of a printer in the 
-	# $popsdir/sunbin/printer file (see Section 5.3).
+	# $popsdir/bin/printer file (see Section 5.3).
 
 	if (-e ~/.unipops) then
       		source ~/.unipops
@@ -578,14 +578,14 @@
 
     The information that UniPOPS needs on all printers that
 you want UniPOPS to use must be located in a file name "printers" in
-the $popsdir/sunbin directory.  There is a heavily commented file,
-printers.example, that you should find in $popsdir/sunbin as well as
+the $popsdir/bin directory.  There is a heavily commented file,
+printers.example, that you should find in $popsdir/bin as well as
 the printers file that is currently in use in Charlottesville,
 printers.cv.  The simplest way to create a printers file appropriate
 for your installation is to copy the example file to "printers" and
 then edit the copy.
 
-	% cd $popsdir/sunbin
+	% cd $popsdir/bin
 	% cp printers.example printers
 	% vi printers
 
@@ -701,7 +701,7 @@
 -----------
 
    The edit2.exe script may need to be modified.   Within edit2.exe
-(found in the $popsdir/sunbin directory) is a list of available editors
+(found in the $popsdir/bin directory) is a list of available editors
 divided into those that use the window environment and those that
 don't.  You may need to edit this file if you have editors that you
 like that we don't have or if we have editors that you don't have.
@@ -765,7 +765,7 @@
 -----------------------------------
 
    UniPOPS has a messages and news facility (controlled by messages.exe
-and news.exe in the $popsdir/sunbin directory).  The primary difference
+and news.exe in the $popsdir/bin directory).  The primary difference
 between messages and news is that a user can chose to read, or not to
 read, news items when the program starts and messages are simply shown
 to the user without any option to skip them.  There are separate
@@ -955,12 +955,12 @@
    Documentation in UniPOPS consists of a set of on-line help files, a
 subset of which is a Cookbook and Reference Manual.  To print out
 either the Cookbook or Reference Manual, you must first edit a special
-Makefile called Makeman found in the $popsdir/sunbin directory and then
+Makefile called Makeman found in the $popsdir/bin directory and then
 run 'make' on that file.
 
    To edit the file:
 
-	% cd $popsdir/sunbin
+	% cd $popsdir/bin
 	% vi Makeman
 
 You should only need to modify the variables FRMTR, PRNTR, ADDPAGE,
@@ -987,10 +987,10 @@
    You can elect to receive a copy of the Cookbook from NRAO via mail.
 However, you may wish to print out a hard copy (its large, nearly 300
 pages if printed with one manual page per printed page).  Once you have
-edited the Makeman file in $popsdir/sunbin, you should run 'make' on the
+edited the Makeman file in $popsdir/bin, you should run 'make' on the
 file:
 
-	% cd $popsdir/sunbin
+	% cd $popsdir/bin
 	% make -f Makeman cookbook
 
 The Cookbook has not changed from the version that accompanied version 3.3.
@@ -1006,7 +1006,7 @@
 print out the Reference Manual, you should make sure printer has a lot of
 paper available and:
 
-	% cd $popsdir/sunbin
+	% cd $popsdir/bin
 	% make -f Makeman reference
 
 8.0 Known Problems.
@@ -1105,14 +1105,14 @@
 
 [ ]  Create and edit your local copy of the file
 
-		$popsdir/sunbin/makemysystem
+		$popsdir/bin/makemysystem
 
-	using the file $pospdir/sunbin/makelocal as a model and as described
+	using the file $pospdir/bin/makelocal as a model and as described
 	in Section 4.1
 
 [ ]  Make UniPOPS by typing:
 
-		cd $popsdir/sunbin
+		cd $popsdir/bin
 		makemysystem links
 		makemysystem cvall
 
@@ -1130,11 +1130,11 @@
 [ ]  Create a printers file for your installation by editing the
      	example printers file:
 
-		cd $popsdir/sunbin
+		cd $popsdir/bin
 		cp printers.example printers
 		vi printers      (or use the editor of your choice)
 
-[ ]  Edit the $popsdir/sunbin/edit2.exe file if necessary.
+[ ]  Edit the $popsdir/bin/edit2.exe file if necessary.
 
 [ ]  Create the symbolic link called 'old' by typing:
 
@@ -1157,7 +1157,7 @@
 
 [ ]  If you want to print out the documentation, first edit the file:
 
-		$popsdir/sunbin/Makeman
+		$popsdir/bin/Makeman
 
 	and then print out the documentation using the commands
 	described in Sections 7.1 or 7.2.
diff -uNr 3.5/explain/text/Reference-Manual.text unipops-3.6/explain/text/Reference-Manual.text
--- 3.5/explain/text/Reference-Manual.text	2000-03-16 11:54:22.000000000 -0700
+++ unipops-3.6/explain/text/Reference-Manual.text	2008-12-29 14:37:53.000000000 -0700
@@ -3,7 +3,7 @@
 	the bulk of the Reference Manual.  You can print out a hard copy
         of the Reference Manual by typing the following Unix commands:
 
-		cd ${popsdir}sunbin
+		cd ${popsdir}bin
 		make -f Makeman reference
   
 	Note: the Cookbook is over 700 pages long so keep your printer
diff -uNr 3.5/fonts/Makefile unipops-3.6/fonts/Makefile
--- 3.5/fonts/Makefile	2000-03-16 11:31:09.000000000 -0700
+++ unipops-3.6/fonts/Makefile	2008-12-29 14:39:20.000000000 -0700
@@ -8,4 +8,4 @@
 all:	$(FONTLIST)
 
 clean:
-	-sccs clean
+#	-sccs clean
diff -uNr 3.5/includes/core.inc unipops-3.6/includes/core.inc
--- 3.5/includes/core.inc	2000-03-16 11:28:48.000000000 -0700
+++ unipops-3.6/includes/core.inc	2008-12-29 14:37:57.000000000 -0700
@@ -19,7 +19,7 @@
      . s_sort,s_object,default,cnterr,hghterr,hwerr,conline,clut,
      . typetip,eta,tau0,ftm,ftsbr,trcvr,etafree,tvane,userprompt,
      . fbver,hcver,conver,cclick,tclick,vclick,fclick,mclick,xclick,
-     . yclick,crossflag,defmode
+     . yclick,crossflag,defmode,ffbver,aosver,ctsver
       character*32 ctitle
       character*16 cxtitle,cytitle,cs_object
       character*8 cuserprompt
@@ -29,7 +29,7 @@
 c	NOTE:  Make sure that the order and sizes of variables agree with
 c	what is set in POPSDAT.  Array sizes MUST be declared in the
 c	common block definition below and NOT in the declerations above.
-c	Except for K arrays,all variables must be R*4's -- use equivalneces
+c	Except for K arrays,all variables must be R*4's -- use equivalences
 c	for strings.  Initial values for arrays and strings are set in
 c	ARAININT; for scalars,values are set in POPSDAT.
 c
@@ -50,7 +50,7 @@
      . HMARK(12),CENTER(24),HEIGHT(24),HWIDTH(24),cnterr(24),
      . hghterr(24),hwerr(24),SMWGT(12),BADPT(12),gmfrac(5),gout(6,5),
      . mlims(2,5),LEVS(32),flevs(32),BPARM(15),status(32),conline(32),
-     . clut(3,32),fbver,hcver,conver,PROTECTED(255)
+     . clut(3,32),fbver,hcver,conver,aosver,ffbver,ctsver,PROTECTED(255)
 c
       equivalence (k(1),c(1)),(k(8),kxorg),(kkt(1),k(51)),
      .            (kx(1),c(16384))
